Subject: Re: [alsa-devel] [PATCH/RFC] gpio: add GPIOF_ values regardless on kconfig settings

From: Grant Likely <[email-masked]>
Date: Fri, 27 May 2011 01:45:52 -0600

On Tue, May 24, 2011 at 08:52:48AM +0100, Mark Brown wrote:
> On Mon, May 23, 2011 at 09:58:39PM -0700, Randy Dunlap wrote:
> 
> > Below is a patch that makes the 2 reported drivers build when
> > CONFIG_GPIOLIB is disabled and CONFIG_GENERIC_GPIO is disabled.
> > What do you think of the patch?
> 
> Looks OK for me on a first scan, though probably the best approach is to
> go through and just enable gpiolib on all the architectures that don't
> have it already yet - that's the more generally useful approach as it
> means that if plugin boards for the platform need to use gpiolib they
> can.  I already did this for Alpha, I guess I'll try to look see what
> other architectures could use it.

Looks okay.  Please repost with proper s-o-b so I can pick it up.

g.